# BEGIN SourceDeps(oneline):
BuildRequires: perl(Entities.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.81
%define module_name Text-ASCIIMathML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.81
Release: alt1
Summary: Perl implementation of ASCIIMathML parser
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NO/NODINE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Text::ASCIIMathML is a parser for ASCIIMathML text which produces.MathML XML markup strings that are suitable for rendering by any
MathML-compliant browser.

The parser uses the following attributes which are settable through
the SetAttributes method:

=over 4

=item `ForMoz'

Specifies that the fonts should be optimized for Netscape/Mozilla/Firefox.

=back

The output of the TextToMathML method always follows the schema
  <math><mstyle>...</mstyle></math>
The first argument of TextToMathML is the ASCIIMathML text to be
parsed into MathML.  The second argument is a reference to an array of
attribute/value pairs to be attached to the <math> node and the third
argument is a reference to an array of attribute/value pairs for the
<mstyle> node.  Common attributes for the <math> node are "title" and
"xmlns"=>"&mathml;".  Common attributes for the <mstyle> node are
"mathcolor" (for text color), "displaystyle"=>"true" for using display
style instead of inline style, and "fontfamily".


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/T*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.81-alt1
- initial import by package builder

